Bug 13356 - Fix bugs in client code
Fix bugs in client code
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.8.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-26 00:30 UTC by Amitay Isaacs
Modified: 2018-04-10 07:30 UTC (History)
3 users (show)

See Also:


Attachments
Patches for 4.8.x (2.35 KB, patch)
2018-03-28 07:03 UTC, Amitay Isaacs
martins: review+
Details
Extra patch for 4.8.x (960 bytes, patch)
2018-03-28 23:55 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2018-03-26 00:30:50 UTC
Two bugs are in the handling of fetch_locked records.

1. Allocating 0-sized data buffers
2. Missing initialization of event context in the record handle
Comment 1 Amitay Isaacs 2018-03-28 07:03:53 UTC
Created attachment 14091 [details]
Patches for 4.8.x
Comment 2 Martin Schwenke 2018-03-28 08:07:32 UTC
Patch is good and we can put this into 4.8 as-is.

One question is whether we want to include this one as well?

commit 376e9794e2d19e8d17b0bdde36ce8a1a205986c6
Author: Amitay Isaacs <amitay@gmail.com>
Date:   Thu Mar 8 11:35:55 2018 +1100

    ctdb-client: Client code should never free the client context
    
    This should never have been done.
    
If you're happy to leave that one out then let's just reassign to Karolin.
Comment 3 Amitay Isaacs 2018-03-28 23:51:03 UTC
(In reply to Martin Schwenke from comment #2)

Yeah, we can include that additional patch also.  It is a bug. :-)
Comment 4 Amitay Isaacs 2018-03-28 23:55:14 UTC
Created attachment 14093 [details]
Extra patch for 4.8.x
Comment 5 Martin Schwenke 2018-03-29 09:23:39 UTC
Hi Karolin,

This is ready for 4.8.

Thanks...
Comment 6 Karolin Seeger 2018-04-04 10:18:59 UTC
(In reply to Martin Schwenke from comment #5)
Pushed to autobuild-v4-8-test.
Comment 7 Karolin Seeger 2018-04-10 07:30:45 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to v4-8-test.
Closing out bug report.

Thanks!